Package org.apache.lucene.queryparser.flexible.messages

## Interface Message

- All Known Implementing Classes:
    `MessageImpl`

      public interface Message

  Message Interface for a lazy loading. For Native Language Support (NLS), system of software internationalization.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object[]` | `getArguments()` |
    `String` | `getKey()` |
    `String` | `getLocalizedMessage()` |
    `String` | `getLocalizedMessage​(Locale locale)` |

- - ### Method Detail

    - #### getKey

          String getKey()

    - #### getArguments

          Object[] getArguments()

    - #### getLocalizedMessage

          String getLocalizedMessage()

    - #### getLocalizedMessage

          String getLocalizedMessage​(Locale locale)